Subject: Re: [PATCH] enable RTAS /proc for PowerPC/CHRP platform

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 19 Oct 2006 08:39:55 +1000

On Wed, 2006-10-18 at 00:22 +0200, Arnd Bergmann wrote:
> On Tuesday 17 October 2006 15:22, Christoph Hellwig wrote:
> > >       rtas_node = of_find_node_by_name(NULL, "rtas");
> > >       if (rtas_node == NULL)
> > >               return -ENODEV;
> > 
> > And given this check I wonder why we need the platform check at all.  It
> > should be safe to just remove it.
> > 
> 
> One difference would be that it triggers on machines running SLOF (QS20, 
> some JS20/JS21) and maybe some older Macs, which is probably a good
> thing.

Older macs may have bits of RTAS, but it doesn't work. I'd rather still
blacklist machine_is(powermac).

> I wonder if it should be a little stricter though:
> 
> > 	rtas_node = of_find_node_by_path("/rtas");
> >	if (!rtas_node)
> >		return -ENODEV;
> 
> In case there is a node called "rtas" somewhere else.

Yeah, just in case...

Ben.